language: cn
model_unique_abbr: add_phenology
version: 1.0
identification:
  docker_image_name: add_phenology:1.0
  model_name: 种植条件图谱构建
  semantic: add phenology
  description: 根据物候的配置文件和所处的区域，进行赋值物候信息。
  category_application: 通用基础型
  category_data:
  - 矢量数据
  keywords:
  - 物候
  - 数据连接
parameter_info:
  parameters:
  - arg_name: i
    param_type: input_data
    name: 输入矢量文件
    description: 每个要素带有高程属性的矢量数据
    data_type: shp
    data_semantic: area_data
  - arg_name: c
    param_type: input_data
    name: 物候配置文件
    description: 物候配置文件
    data_type: csv
    data_semantic: phenology_config
  - arg_name: f
    param_type: param
    is_required: false
    name: 高程字段名
    description: 高程属性数据的字段名称
    data_type: str
    data_semantic: dem_field_name
    specification:
      default: land_dem
  - arg_name: l
    param_type: param
    name: 区域信息
    description: 划分的区域信息，以字符串输入，其内容为配置文件的“location”列中的信息（即第一列），用于搜索物候数据。
    data_type: str
    data_semantic: location
  - arg_name: o
    param_type: output_data
    name: 输出矢量文件
    description: 添加了物候信息的地块矢量
    data_type: shp
    data_semantic: area_with_phenology
application:
  domain: 物候
  objective: 物候数据连接
  link_models:
    preorder: []
    alternative: []
  dimension:
  - 二维
  timestep: []
  spatial_resolution: []
  spatial_reference: []
  mechanism: 对地块矢量与物候信息进行数据连接
operation:
  usage: 为地块添加物候信息
  exec_example:
  - "docker run -v ￥PWD/project/data:/project/data project:1.0 --file /project/data/lines.tif --epsg 4326"
  output_display:
  - 文件，里面是添加了物候信息的地块矢量
 
technique:
  language: [Python]
  os: [Linux, Windows]
source:
  maintainer: Xingchen Fan
  organization: Institute of Geographic Sciences and Natural Resources Research
  contact: fanxc@lreis.ac.cn
  integrated_softwares: []
  references: []
